﻿Imports System.Windows.Markup
Imports System.Windows.Media.Imaging
Imports SLMitsuControls
Imports System.Xml.Linq
Partial Public Class Page
 Inherits UserControl
 Implements IDataProvider

 Public Sub New()
  InitializeComponent()
 End Sub
 Private Sub video_MediaEnded(ByVal sender As Object, ByVal e As RoutedEventArgs)
  video.Position = New TimeSpan(0)
  video.Play()
 End Sub

 Private Sub LayoutRoot_Loaded(ByVal sender As Object, ByVal e As RoutedEventArgs)
  animLogo.Begin()
    End Sub
 Private Sub bFlickr_Click(ByVal sender As Object, ByVal e As RoutedEventArgs)
  Dim clé As String = "1e1313a40fe8dbe14d524141d90a1231"
  Dim url As String = "http://api.flickr.com/services/rest/?method=flickr.photos.search&api_key=" & clé & "&text=" & zeCritFlickr.Text
  Dim client As New WebClient()
  AddHandler client.DownloadStringCompleted, AddressOf client_DownloadStringCompleted
  client.DownloadStringAsync(New Uri(url))
 End Sub
 Private listeImages As List(Of Image) = New List(Of Image)()
 Private Sub client_DownloadStringCompleted(ByVal sender As Object, ByVal e As DownloadStringCompletedEventArgs)
  stbCarrousel.Pause()
  Dim N As Integer = listeImages.Count
  For i As Integer = 0 To N - 1
   Dim img As Image = listeImages(0)
   GrImagesAnimées.Children.Remove(img)
   listeImages.RemoveAt(0)
   img = Nothing
  Next i
  listeImages.Clear()

  Dim xml As XDocument = XDocument.Parse(e.Result)

  Dim liste = From p In xml.Element("rsp").Element("photos").Elements("photo") _
              Select p
  liste = liste.Take(6)
  N = liste.Count()
  For nImg As Integer = 0 To N - 1
   Dim sXamlImage As String = "<Image xmlns='http://schemas.microsoft.com/client/2007' Width='200' Height='200' HorizontalAlignment='Left' VerticalAlignment='Top'/>"
   Dim img As Image = CType(XamlReader.Load(sXamlImage), Image)
   Dim sFarm As String = liste.ElementAt(nImg).Attribute("farm").Value
   Dim sServer As String = liste.ElementAt(nImg).Attribute("server").Value
   Dim sId As String = liste.ElementAt(nImg).Attribute("id").Value
   Dim sSecret As String = liste.ElementAt(nImg).Attribute("secret").Value
   Dim sUrl As String = "http://farm" & sFarm & ".static.flickr.com/" & sServer & "/" & sId & "_" & sSecret & ".jpg"

   Dim R As Double = rail.Width / 2
   Dim angle As Double = 2 * 3.14 * nImg / N
   Dim X As Double = ActualWidth / 2 + R * Math.Cos(angle) - 75
   Dim Y As Double = ActualHeight / 2 - R * Math.Sin(angle) - 75
   img.Margin = New Thickness(X, Y, 0, 0)
   Dim imgs As ImageSource = New BitmapImage(New Uri(sUrl))
   img.SetValue(Image.SourceProperty, imgs)
   GrImagesAnimées.Children.Add(img)
   listeImages.Add(img)
  Next nImg
  stbCarrousel.Begin()
 End Sub
    Private pages As List(Of Image)

 Public Function GetItem(ByVal index As Integer) As Object Implements SLMitsuControls.IDataProvider.GetItem
        Return pages(index)
 End Function
 Public Function GetCount() As Integer Implements SLMitsuControls.IDataProvider.GetCount
        Return pages.Count
 End Function

    Private Sub UserControl_Loaded(ByVal sender As System.Object, ByVal e As System.Windows.RoutedEventArgs)
        pages = New List(Of Image)
        Dim image1 As Image = New Image
        image1.Source = New BitmapImage(New Uri("Amsterdam.jpg", UriKind.Relative))
        image1.Stretch = Stretch.UniformToFill
        pages.Add(image1)
        Dim image2 As Image = New Image
        image2.Source = New BitmapImage(New Uri("Venise.jpg", UriKind.Relative))
        image2.Stretch = Stretch.UniformToFill
        pages.Add(image2)
        Dim image3 As Image = New Image
        image3.Source = New BitmapImage(New Uri("Bruxelles.jpg", UriKind.Relative))
        image3.Stretch = Stretch.UniformToFill
        pages.Add(image3)
        Dim image4 As Image = New Image
        image4.Source = New BitmapImage(New Uri("Moscou.jpg", UriKind.Relative))
        image4.Stretch = Stretch.UniformToFill
        pages.Add(image4)
        Dim image5 As Image = New Image
        image5.Source = New BitmapImage(New Uri("Londres.jpg", UriKind.Relative))
        image5.Stretch = Stretch.UniformToFill
        pages.Add(image5)

        géo.SetData(Me)
    End Sub
End Class